Index: branches/2.5/expressoMail1_2/setup/setup.inc.php
===================================================================
--- branches/2.5/expressoMail1_2/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/expressoMail1_2/setup/setup.inc.php	(revision 8232)
@@ -13,5 +13,5 @@
 $setup_info['expressoMail1_2']['name'] = 'expressoMail1_2';
 $setup_info['expressoMail1_2']['title'] = 'Expresso Mail';
-$setup_info['expressoMail1_2']['version'] = '2.5.0';
+$setup_info['expressoMail1_2']['version'] = '2.5.1';
 $setup_info['expressoMail1_2']['app_order'] = 2;
 $setup_info['expressoMail1_2']['tables'][] = 'phpgw_certificados';
@@ -46,5 +46,5 @@
 $setup_info['expressoMail1_2']['depends'][] = array(
     'appname' => 'phpgwapi',
-    'versions' => Array('2.5.0')
+    'versions' => Array('2.5.1.1')
 );
 
Index: branches/2.5/expressoMail1_2/inc/class.db_functions.inc.php
===================================================================
--- branches/2.5/expressoMail1_2/inc/class.db_functions.inc.php	(revision 7673)
+++ branches/2.5/expressoMail1_2/inc/class.db_functions.inc.php	(revision 8232)
@@ -147,14 +147,33 @@
 		return $stringDropDownContacts;
 	}
-	
-	function getContactsByGroupAlias($alias)
-	{
+function getContactsByGroupAlias($alias)
+	{
+		/*
 		list($alias,$uid) = explode("::",$alias);		
+		
 		$cc_related_ids = $_SESSION['phpgw_info']['expressomail']['user']['cc_related_ids'];		
 		// Explode personal group, If exists related ids (the user has permission to send email).
+		
 		if(is_array($cc_related_ids) && $uid){
-			$owner =  array_search($uid,$cc_related_ids);			
-		}
-		
+			$owner =  array_search($uid,$cc_related_ids);					
+		}*/
+		$groups = $this->get_cc_groups();
+		if ($groups){
+			$groups = explode(",", $groups);
+			for($ii=0; $ii < count($groups); ++$ii) {
+				$tmp = preg_split("/;|\::/",$groups[$ii]);
+				$relatedGroups[$ii] = array("name" => $tmp[0],"alias" => $tmp[1],"owner" => $tmp[2]);
+			}
+			foreach ($relatedGroups as $key => $value) {
+				if ($value["alias"] == $alias)
+				 	$owner = $value["owner"];
+			}
+			if ($owner){
+					include_once("class.ldap_functions.inc.php");
+					$ldap = new ldap_functions();			
+					$owner = $ldap->uid2uidnumber($owner);
+			}
+		}
+
 		$query = "select C.id_connection, A.names_ordered, C.connection_value from phpgw_cc_contact A, ".
 		"phpgw_cc_contact_conns B, phpgw_cc_connections C,phpgw_cc_contact_grps D,phpgw_cc_groups E where ".
